Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hu.diplomamunka.persistence
Class AccountHandler

    java.lang.Object
      hu.diplomamunka.persistence.Handler
          hu.diplomamunka.persistence.AccountHandler

    public class AccountHandler

extends Handler

Field Summary

Fields inherited from class hu.diplomamunka.persistence.Handler
`session`

Constructor Summary
`AccountHandler()`

Method Summary
`void` | `deleteAccount(Account a)` This method deletes an existing Account from the database account_table table
`Account` | `getOneAccount(java.lang.Integer accId)` The method to get an Account by its Id
`Account` | `insertAccount(Account a)` This method inserts a new Account into the database account_table table
`Account` | `updateAccount(Account a)` This method updates an existing Account

Methods inherited from class hu.diplomamunka.persistence.Handler
`closeSession, getSession, getTransaction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccountHandler

    public AccountHandler()

Method Detail

### insertAccount

    public Account insertAccount(Account a)

  This method inserts a new Account into the database account_table table

  Parameters:
    `a` - the new Account to insert
  Returns:
    a the newly inserted Account

### updateAccount

    public Account updateAccount(Account a)

  This method updates an existing Account

  Parameters:
    `a` - Account to update
  Returns:
    a the updated Account

### deleteAccount

    public void deleteAccount(Account a)

  This method deletes an existing Account from the database account_table table

  Parameters:
    `a` - Account to delete

### getOneAccount

    public Account getOneAccount(java.lang.Integer accId)

  The method to get an Account by its Id

  Parameters:
    `accId` - of the requested Account
  Returns:
    a the Account

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD